## ros-indigo-cob-hardware-config 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_hardware_config)

find_package(catkin REQUIRED COMPONENTS cob_supported_robots)

catkin_package()

### TESTING ###
if(CATKIN_ENABLE_TESTING)
    find_package(roslaunch REQUIRED)
    find_package(rostest REQUIRED)
    # loop through list of robots for testing
    foreach(robot ${cob_supported_robots_ROBOTLIST})
        message("testing for robot: ${robot}")
        roslaunch_add_file_check(upload_robot.launch robot:=${robot})
        add_rostest(test/urdf.test ARGS robot:=${robot})
    endforeach()
endif()

### INSTALL ###
install(DIRECTORY robots test
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES upload_robot.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES display_robot.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-hardware-config (0.6.9-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #761 <https://github.com/ipa320/cob_robots/issues/761> from ipa-fxm/cob4-7_mods
    cob4-7 without arms
  * cob4-7 without arms
  * Merge pull request #760 <https://github.com/ipa320/cob_robots/issues/760> from ipa-fxm/cob4-10_hw_upgrade
    cob4-10 hw upgrade
  * cob4-10 hw upgrade
  * Merge pull request #757 <https://github.com/ipa320/cob_robots/issues/757> from ipa-fxm/migrate_unity_structure
    simplify config structure
  * simplify config structure
  * Merge pull request #756 <https://github.com/ipa320/cob_robots/issues/756> from HannesBachter/add_cob4-13_cardiff
    changes for cob4-13
  * remove obsolete include
  * remove obsolete files
  * add cob4-cardiff
  * Merge pull request #747 <https://github.com/ipa320/cob_robots/issues/747> from ipa-fxm/add_cob4-13_cardiff
    add cob4-13 cardiff
  * Merge pull request #741 <https://github.com/ipa320/cob_robots/issues/741> from ipa-fxm/cob-uh_final
    [WIP] cob-uh final
  * Merge pull request #750 <https://github.com/ipa320/cob_robots/issues/750> from ipa-fxm/add_missing_components_cob4-18
    add light and em monitor
  * add light and em monitor
  * cob4-13 config fixes
  * Merge pull request #746 <https://github.com/ipa320/cob_robots/issues/746> from ipa-fxm/add_cob4-18_323
    add cob4-18 323
  * calibrate base cob4-18
  * tune pc_monitor thresholds
  * tune docking parameter
  * add grippers cob-uh
  * add arms cob-uh
  * calibrate base uh
  * add cob4-18 323
  * add cob4-13 cardiff
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, cob4-13, fmessmer, ipa-fmw, ipa-fxm, mailto:robot@cob4-16

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-hardware-config (0.6.8-0trusty) trusty; urgency=high

  * Merge pull request #744 <https://github.com/ipa320/cob_robots/issues/744> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #743 <https://github.com/ipa320/cob_robots/issues/743> from ipa-fxm/laser_range_filter
    introduce laser range filter
  * introduce laser range filter
  * Merge pull request #742 <https://github.com/ipa320/cob_robots/issues/742> from ipa-fxm/adjust_ntp_thresholds
    adjust ntp thresholds
  * adjust ntp thresholds
  * Merge pull request #739 <https://github.com/ipa320/cob_robots/issues/739> from ipa-rmb/wheel-update
    updated homing digital input for wheel
  * updated homing digital input for wheel
  * Merge pull request #736 <https://github.com/ipa320/cob_robots/issues/736> from ipa-fmw/calibrate_cob4-7_base
    calibrate cob4-7 base
  * calibrate cob4-7 base
  * Merge pull request #735 <https://github.com/ipa320/cob_robots/issues/735> from ipa-fxm/indigo_dev_rmb
    corrected torso definition
  * Added a clarifying comment which link is referred to
  * Merge pull request #733 <https://github.com/ipa320/cob_robots/issues/733> from ipa-fxm/add_cob4-16_uh
    add cob4-16 uh
  * corrected torso definition
  * add cob4-16 uh
  * Merge pull request #728 <https://github.com/ipa320/cob_robots/issues/728> from ipa-nhg/cob47-setup
    setup cob4-7
  * update URDF to static head and sensorring
  * setup cob4-7
  * Merge pull request #727 <https://github.com/ipa320/cob_robots/issues/727> from ipa-fxm/remove_use_old_joint_name
    remove obsolete use_old_joint_names argument
  * remove obsolete use_old_joint_names argument
  * Merge pull request #726 <https://github.com/ipa320/cob_robots/issues/726> from ipa-bnm/cob4-7-homing-offsets
    use homing offsets from cob4-2 for cob4-7
  * use homing offsets from cob4-2
  * Merge pull request #725 <https://github.com/ipa320/cob_robots/issues/725> from ipa-fmw/cob4-11_add_light
    add light to cob4-11
  * add light to cob4-11
  * Merge pull request #723 <https://github.com/ipa320/cob_robots/issues/723> from ipa-fxm/move_cob4-2
    move cob4-2 to unity-robotics
  * Merge pull request #722 <https://github.com/ipa320/cob_robots/issues/722> from ipa-mjp/uncomment_ur_arm
    uncomment ur arm
  * move cob4-2 to unity-robotics
  * Merge branch 'indigo_dev' of https://github.com/ipa320/cob_robots into correct_torso_param
  * uncomment ur_arm
  * Merge pull request #720 <https://github.com/ipa320/cob_robots/issues/720> from ipa-fxm/fix_camera_coord_frames
    fix camera coord frames for all cameras and all robots for hw and sim
  * Merge pull request #721 <https://github.com/ipa320/cob_robots/issues/721> from ipa-mjp/correct_torso_param
    Correct torso param
  * correct torso calibration param
  * fix head_cam mount position
  * fix image flip for 3dcs
  * consistency for all robots
  * fix frames for usb_camera and sick_3dcs
  * fix camera coord frames for asus and zr300 on cob4-7
  * finalize zr300 transformations
  * use zr300 for torso_right camera
  * Merge pull request #698 <https://github.com/ipa320/cob_robots/issues/698> from ipa-fxm/add_ntp_monitor
    add ntp monitor
  * proper error threshold
  * add ntp monitor
  * Merge pull request #708 <https://github.com/ipa320/cob_robots/issues/708> from ipa-fxm/feature/powerball_raw3-1
    Feature/powerball raw3 1
  * Merge pull request #707 <https://github.com/ipa320/cob_robots/issues/707> from ipa-fxm/update_maintainer
    update maintainer
  * Merge pull request #712 <https://github.com/ipa320/cob_robots/issues/712> from ipa-jba/feature/kinetic_raw
    single computer for raw, fix ports
  * ttyLED for LED
  * single computer for raw, fix ports
  * Merge pull request #709 <https://github.com/ipa320/cob_robots/issues/709> from ipa-nhg/cob4-10
    Full configuration cob4-10
  * harmonize configuration with current status
  * Merge pull request #711 <https://github.com/ipa320/cob_robots/issues/711> from ipa-bnm/fix/homing_offset
    reverted homing offsets for cob4-b7
  * reverted homing offsets for cob4-b7
  * unify arm driver configuration
  * Merge github.com:ipa320/cob_robots into indigo_dev
    Conflicts:


=== debian/control ===
Source: ros-indigo-cob-hardware-config
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cob-supported-robots, ros-indigo-roslaunch, ros-indigo-rostest
Homepage: http://ros.org/wiki/cob_hardware_config
Standards-Version: 3.9.2

Package: ros-indigo-cob-hardware-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-calibration-data, ros-indigo-cob-description, ros-indigo-cob-omni-drive-controller, ros-indigo-costmap-2d, ros-indigo-diagnostic-aggregator, ros-indigo-joint-state-controller, ros-indigo-joint-state-publisher, ros-indigo-joint-trajectory-controller, ros-indigo-laser-filters, ros-indigo-position-controllers, ros-indigo-raw-description, ros-indigo-robot-state-publisher, ros-indigo-roslaunch, ros-indigo-rostest, ros-indigo-rviz, ros-indigo-ur-description, ros-indigo-velocity-controllers, ros-indigo-xacro
Description: This package contains configuration for each robot instance (e.g.
 cob4-X, raw3-X). There is a directory for each robot with configuration about urdf and hardware/device configurations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-hardware-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
